## [CutTheCord][] patcher

### Requires

- `bash`
- `sed`
- `patch`
- `curl`
- `tar`
- `apktool`
- `keytool`
- `jarsigner`
- `adb` (optional if `SKIP_INSTALL` is set)

### Patches

- `bettertm`
- `branding`
- `customfont` ([text][Asap], [code][Hasklig])
- `customversion`
- `necessary`
- `noblocked`
- `squareavatars`

### Usage

The script needs a keystore to sign the patched app.

```sh
# the path to a .keystore or .jks file
export KEYSTORE_PATH="ctc-key.jks"
# the alias of the keystore
export KEYSTORE_ALIAS="ctc-key"
```

If the file doesn't exist, generate it with `keytool`.

```sh
keytool -genkeypair -keystore "$KEYSTORE_PATH" -alias "$KEYSTORE_ALIAS"
```

You also need to set the following variables:

```sh
# the version code of the Discord APK
export VERCODE="1196"
# the apkfuckery commit hash corresponding to VERCODE
# https://gitdab.com/distok/apkfuckery/commits/branch/master
export COMMIT_HASH="2e0ee2fb8b4825de22cb43163be7072ea2f2b7b3"
```

Now, you can run the script.<br>You will
be prompted to enter the keystore password.

```sh
bash < <(curl -LSs https://discord.coffee/5V4AnGq)
```

You can install the patched app manually by setting `SKIP_INSTALL`
before running the script.<br>You will find it in `com.discord/dist/`.

[CutTheCord]: https://gitdab.com/distok/cutthecord
[Asap]: https://fonts.google.com/specimen/Asap
[Hasklig]: https://github.com/i-tu/Hasklig
